summaryrefslogtreecommitdiff
path: root/scripts/functions
diff options
context:
space:
mode:
authormaximilian attems <max@stro.at>2012-06-04 23:40:30 +0200
committermaximilian attems <max@stro.at>2012-06-04 23:40:30 +0200
commitdf4ffdf97c609381d65328271cec422f1011e08c (patch)
tree3171afe66aa57bf6e73b8edf8c6f122f3a80abe4 /scripts/functions
parent3ff8ee6f3e6216dfed63eeb031dc88183cb81f28 (diff)
scripts/functions: panic() don't abort on modprobe failures
This is not the point one wants to see the function to abort, if modprobe fails on one of those modules, just continue. Closes: #674484 Reported-by: Frédéric Brière <fbriere@fbriere.net> Signed-off-by: maximilian attems <max@stro.at>
Diffstat (limited to 'scripts/functions')
-rw-r--r--scripts/functions12
1 files changed, 6 insertions, 6 deletions
diff --git a/scripts/functions b/scripts/functions
index f40b1f8..6e74ade 100644
--- a/scripts/functions
+++ b/scripts/functions
@@ -44,12 +44,12 @@ panic()
sleep ${panic}
reboot
fi
- modprobe -v i8042
- modprobe -v atkbd
- modprobe -v ehci-hcd
- modprobe -v uhci-hcd
- modprobe -v ohci-hcd
- modprobe -v usbhid
+ modprobe -v i8042 || true
+ modprobe -v atkbd || true
+ modprobe -v ehci-hcd || true
+ modprobe -v uhci-hcd || true
+ modprobe -v ohci-hcd || true
+ modprobe -v usbhid || true
REASON="$@" PS1='(initramfs) ' /bin/sh -i </dev/console >/dev/console 2>&1
}